#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream fi("tansuat.inp");
	ofstream fo("tansuat.out");
	int n,x,i, dempt=0, max=0;
	fi>>n;
	int b[10000000];
	for (i=1;i<=10000000;i++)b[i]=0;
	for(int i=0;i<n;i++)
	{
		fi>>x;
		if(x>max) max=x;
		b[x]++;
	}
	fi.close();
	for(int i=0;i<max+1;i++)
	{
		if(b[i]>1)
		{
			fo<<i<<' '<<b[i]<<endl;
			dempt++;
		}
	}
	if(dempt==0)
	{
		fo<<0;
	}
	fo.close();
}
